module psocket;

type
   pstr = varying [10000] of char;

function fix(s : pstr) : pstr;

begin
   fix := substr(s, 1, s.length);
end;

[external('VMS_SOCKET_OPEN')]
function socket_open(%STDESCR host : packed array [l1..u1:integer] of char;
                     %REF port : integer) : integer; extern;

[external('VMS_SOCKET_SEND')]
function socket_send(%REF sd : integer;
                     %STDESCR msg : packed array [l2..u2:integer] of char) : integer; extern;

[external('VMS_SOCKET_RECV')]
function socket_recv(%REF sd : integer;
                     %STDESCR msg : packed array [l2..u2:integer] of char;
                     %REF msglen : integer) : integer; extern;

[external('VMS_SOCKET_CLOSE')]
procedure socket_close(%REF sd : integer); extern;

end.
