#ifndef VMS_SOCKET_H
#define VMS_SOCKET_H

#include <descrip.h>

int socket_open(const char *host, int port);
int socket_send(int sd, const char *outmsg);
int socket_recv(int sd, char *inmsg, int inmsglen);
int socket_recv_ext(int sd, char *inmsg, int inmsglen, int *term);
void socket_close(int sd);

int vms_socket_open(struct dsc$descriptor *host, int *port);
int vms_socket_send(int *sd, struct dsc$descriptor *outmsg);
int vms_socket_recv(int *sd, struct dsc$descriptor *inmsg, short int *inmsglen);
int vms_socket_recv_ext(int *sd, struct dsc$descriptor *inmsg, short int *inmsglen, int *term);
void vms_socket_close(int *sd);

#endif
